model_dirs=()
project_name=()
experiment_name=()
checkpoints_name=()
for project in "${project_name[@]}"; do
    for experiment in "${experiment_name[@]}"; do
        for checkpoint in "${checkpoints_name[@]}"; do
            model_dirs+=("../ckpts/$project/$experiment/global_step_$checkpoint/actor/huggingface")
        done
    done
done
device=0
template="our"
temperatures="0.0"
max_tokens=8000
N_SAMPLING=1
top_p=1.0
use_chat=1
# task="aime24"
use_system_prompt=1
task="aime25,aime24,math500,amc23,minerva_math,olympiadbench"
echo "Model directories:"
for model_dir in "${model_dirs[@]}"; do
    echo "${model_dir}"
done
# model_dirs=(/data/qldu/wsun/replicate_r1/simpleRL-reason/TO_BE_FILLED/checkpoints/DeepSeek-R1-Distill-Qwen-7B)
seeds="0"
for model_dir in "${model_dirs[@]}"; do
    CUDA_VISIBLE_DEVICES=${device} python eval_baseline.py \
        --model_name ${model_dir} \
        --template ${template} \
        --seeds ${seeds} \
        --temperatures ${temperatures} \
        --save True
done